package com.miaxis.collection.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.collection.domain.CollectionInfo;
import com.miaxis.collection.mapper.CollectionInfoMapper;
import com.miaxis.collection.service.ICollectionInfoService;
import com.miaxis.collection.vo.CollectionCustomerVo;
import com.miaxis.common.core.domain.entity.UserInfo;
import com.miaxis.customer.mapper.CustomerInfoMapper;
import com.miaxis.customer.service.ICustomerInfoService;
import lombok.RequiredArgsConstructor;
import lombok.SneakyThrows;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author wwl
 * @Date 2021/3/15
 * @Version 1.0
 */
@Service
@RequiredArgsConstructor
public class CollectionInfoServiceImpl extends ServiceImpl<CollectionInfoMapper, CollectionInfo> implements ICollectionInfoService {

    private final CollectionInfoMapper collectionInfoMapper;

    private final ICustomerInfoService customerInfoService;

    private final CustomerInfoMapper customerInfoMapper;


    /**
     * 查询用户收藏列表
     * @param userInfo
     * @return
     */
    @Override
    @SneakyThrows
    public List<CollectionCustomerVo> collectionList(UserInfo userInfo) {
        return customerInfoMapper.getCollectionList(userInfo.getId());
    }


}
